DockableWindowManager.DockingLayout (jEdit API Documentation)
Date: 2015-10-20

org.gjt.sp.jedit.gui

## Class DockableWindowManager.DockingLayout

- java.lang.Object
- - org.gjt.sp.jedit.gui.DockableWindowManager.DockingLayout

- Direct Known Subclasses:
    DockableWindowManagerImpl.DockableWindowConfig
  Enclosing class:
    DockableWindowManager

      public abstract static class DockableWindowManager.DockingLayout
      extends java.lang.Object

  Objects of DockingLayout class describe which dockables are docked where, which ones are floating, and their sizes/positions for saving/loading perspectives.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_VIEW_INDEX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DockingLayout()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLayoutFilename(java.lang.String baseName, int viewIndex)`
    `abstract java.lang.String` | `getName()`
    `java.lang.String[]` | `getSavedLayouts()`
    `abstract boolean` | `loadLayout(java.lang.String baseName, int viewIndex)`
    `abstract boolean` | `saveLayout(java.lang.String baseName, int viewIndex)`
    `void` | `setPlainView(boolean plain)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_VIEW_INDEX

          public static final int NO_VIEW_INDEX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DockingLayout

          public DockingLayout()

  - ### Method Detail

    - #### loadLayout

          public abstract boolean loadLayout(java.lang.String baseName,
                                             int viewIndex)

    - #### saveLayout

          public abstract boolean saveLayout(java.lang.String baseName,
                                             int viewIndex)

    - #### getName

          public abstract java.lang.String getName()

    - #### setPlainView

          public void setPlainView(boolean plain)

    - #### getSavedLayouts

          public java.lang.String[] getSavedLayouts()

    - #### getLayoutFilename

          public java.lang.String getLayoutFilename(java.lang.String baseName,
                                                    int viewIndex)